createGODataFrame {ScISI} | R Documentation

## A function to create a Dataframe from the GO protein complexes

### Description

This function takes a named list (the names are the GO ID's representing some protein complex and the list elements are character vectors consisting of the members of each particular complex) and an Bipartite Graph Incidence Matrix and creates a dataframe with three columns: complex name, GO ID, and complex description.

### Usage

    createGODataFrame(cMembers, goMat)

### Arguments

`cMembers` | Named list with GO ID's as names and character vector consisting of proteins of the respective complex
`goMat` | Bipartite Graph Incidence Matrix

### Details

This function takes the output parameters of `createGOMatrix` and `getGOInfo` and creates the bipartite graph incidence matrix.

### Value

Dataframe:

`names` | The names of the GO Complexes
`ID` | The GO IDs' of the complexes
`description` | The description give by GO

### Author(s)

Tony Chiang

### References

www.geneontology.org

### Examples

    #go = getGOInfo(wantAllComplexes = FALSE)
    #goM = createGOMatrix(go)
    #createGODF(go, goM)

[Package ScISI version 1.16.0 Index]